Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoSymbolFileMethodEntry.ByReference

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoSymbolFileMethodEntry,MonoSymbolFileMethodEntry.ByValue,MonoSymbolFileMethodEntry.ByReference>
              com.nativelibs4java.mono.MonoSymbolFileMethodEntry
                  com.nativelibs4java.mono.MonoSymbolFileMethodEntry.ByReference

All Implemented Interfaces:
  StructureType, StructureTypeDependent, Structure.ByReference, java.lang.Comparable<Structure<MonoSymbolFileMethodEntry,MonoSymbolFileMethodEntry.ByValue,MonoSymbolFileMethodEntry.ByReference>>

Enclosing class:
  MonoSymbolFileMethodEntry

    public static class MonoSymbolFileMethodEntry.ByReference

extends MonoSymbolFileMethodEntry
implements Structure.ByReference

Nested Class Summary

Nested classes/interfaces inherited from class com.nativelibs4java.mono.MonoSymbolFileMethodEntry
`MonoSymbolFileMethodEntry.ByReference, MonoSymbolFileMethodEntry.ByValue`

Field Summary

Fields inherited from class com.nativelibs4java.mono.MonoSymbolFileMethodEntry
`_data_offset, _line_number_table, _token`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoSymbolFileMethodEntry.ByReference()`

Method Summary

Methods inherited from class com.nativelibs4java.mono.MonoSymbolFileMethodEntry
`newByReference, newByValue, newInstance`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Constructor Detail

### MonoSymbolFileMethodEntry.ByReference

    public MonoSymbolFileMethodEntry.ByReference()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD